<?php
// $Id: vocabindex_list_item.tpl.php,v 1.1.2.3 2008/09/19 19:34:09 xano Exp $

/**
 * @file
 * Renders a list item containing term description and node count.
 */

/**
 * Available variables:
 * $description		The term's description.
 * $node_count		The amount of nodes in the term. -1 if node counts are disabled.
 * $zebra			Alternates between 'even' and 'odd'.
 * $parent			'parent' if the term contains child terms, NULL if it doesn't.
 * $children		A string containing the rendered child terms of this term for
 *   threaded lists.
 * $url				The url to the term's page.
 * $name			The term's name.
 * $position		Whether it's the first or the last term in the list. Values are
 *   'first', 'last' or an empty string.
 */

// If there is a description for this term, put it in a <span> for easy styling.
if ($description) {
  $description = '<span class="description">' . $description . '</span>';
}

// If node counting is enabled, add brackets.
if ($node_count != -1) {
  $nodes = ' (' . $node_count . ')';
}

echo '<li class="' . $zebra . ' ' . $parent . ' ' . $position . '"><a href="' . $url . '">' . $name . $nodes . $description . '</a>' . $children . "</li>\n";